GSTR-8 TCS Supplies & Tax Details
GET
https://apisandbox.whitebooks.in/gstr8/tcsGetting all TCS invoices for a return period.
Parameters
query parameters
emailstringrequiredEmail
gstinstringrequiredGSTIN of the taxpayer
retperiodstringrequiredReturn Period format MMYYYY
fromtimestringoptionalFrom time format DD-MM-YYYY HH:MM,20-12-2016 09:30
rettypestringoptionalReturn Type
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/gstr8/tcs. Required parameters: email (query parameter), gstin (query parameter), retperiod (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get TCS Invoices (GET
/gstr8/tcs), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Getting all TCS invoices for a return period.
No example available.